button.next_button ,.offset_submit{
  position: relative;
  overflow: hidden;
}

.next_button::before, .submit_button::before {
    position: absolute;
    top: -20px;
    left: -30%;
    width: 30%;
    height: 100px;
    content: "";
    background-image: linear-gradient(to right, hsla(0, 0%, 100%, 0) 0%, #fff 50%, hsla(0, 0%, 100%, 0) 100%);
    transform: skew(30deg);
    animation: shiny 4s linear 0s infinite;
  }

  @keyframes shiny {
    0% {left: -5%;}
    20% {left: 120%;}
    100% {left: 120%;}
}

button.next_button:disabled::before, .submit_button:disabled::before {
  content: none;
}